# 32/64bit spec-file
#
Summary:	A GNU general-purpose parser generator
Summary(de):	Bison genereller GNU Universal Syntaxanalysegenerator
Name:		bison
Version:	3.0.4
Release:	%mkrel 1
License:	GPL
Group:		Development/Other
URL:		http://www.gnu.org/software/bison/bison.html
Source0:	ftp://ftp.gnu.org/pub/gnu/bison/bison-%{version}.tar.xz
Patch1:		bison-1.32-extfix.patch
Requires(post): info-install
Requires(preun):info-install
Requires:	m4 >= 1.4
BuildRequires:	help2man
BuildRequires:	java-1.6.0-sun-devel
BuildRequires:	m4 >= 1.4
Conflicts:	byacc <= 1.9-16mdk
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Obsoletes: 	%{name} < %version
Requires:	glibc >= 2.20


%description
Bison is a general purpose parser generator which converts a grammar
description for an LALR context-free grammar into a C program to parse
that grammar.  Bison can be used to develop a wide range of language
parsers, from ones used in simple desk calculators to complex programming
languages.  Bison is upwardly compatible with Yacc, so any correctly
written Yacc grammar should work with Bison without any changes.  If
you know Yacc, you shouldn't have any trouble using Bison (but you do need
to be very proficient in C programming to be able to use Bison).  Many
programs use Bison as part of their build process. Bison is only needed
on systems that are used for development.

If your system will be used for C development, you should install Bison
since it is used to build many C programs.

%description -l de
Bison ist ein genereller GNU Universal Syntaxanalysegenerator, der grammatische 
Fehlerbeschreibungen umwandelt, um eine LALR kontext-freie Grammatik in ein C-Programm 
einzufügen und dessen Grammatik zu analysieren. Bison kann dazu benutzt werden, um 
ein weites Feld von grammatikalischen Sprachen zu entwickeln, von einem einfachen 
Tischrechner bis zu komplexen Programmiersprachen. Bison ist abwärtskompatibel zu Yacc, 
deshalb sollte jede korrekt in Yacc geschriebene Anwendung fehlerfrei in Bison laufen. 
Wenn du dich mit Yacc auskennst, dürftest du mit Bison keinerlei Schwierigkeiten haben 
(aber du brauchst sehr gute Programmierkenntnisse in C, um geschickt mit Bison umgehen 
zu können). Viele Programme benutzen einen Teil von Bison. Bison wird lediglich auf 
Systemen gebraucht, die der Entwicklung dienen. Wenn dein System für die Entwicklung 
von C benutzt wird, solltest du Bison installieren, da es von vielen C Programmen zur 
Entwicklung verwendet wird. 


%package -n	bison-static-devel
Summary:	Static development library for using Bison-generated parsers
Summary(de):	Statische Entwicklerbibliothek für die Nutzung von Bison erzeugten Parsern
Group:		Development/Libraries
Requires:	bison = %{version}
Provides:	bison-devel-static = %{version}

%description -n	bison-static-devel
This package contains the static -ly library sometimes used by programs using
Bison-generated parsers. If you are developing programs using Bison, you might
want to link with this library. This library is not required by all
Bison-generated parsers, but may be employed by simple programs to supply
minimal support for the generated parsers.

%description -n	bison-static-devel -l de
Dieses Paket beinhaltet die statische -ly Bibliothek, die manchmal von Programmen 
genutzt wird, die von Bison generierte Parser nutzen. Wenn Sie Programme mit Bison
entwickeln, dann möchten Sie diese eventuell mit dieser Bibliothek verlinken. Die
Bibliothek wird nicht von allen Bisonparsern benötigt.


%prep

%setup -q
%patch1 -p1 -b .extfix


%build
%configure2_5x
%make

%install
rm -rf %{buildroot}

%makeinstall_std

mv %{buildroot}%{_bindir}/yacc %{buildroot}%{_bindir}/yacc.bison


%find_lang %{name}
%find_lang %{name}-runtime
cat %name-runtime.lang >> %name.lang

%post
%_install_info %{name}.info
%{_sbindir}/update-alternatives --install %{_bindir}/yacc yacc %{_bindir}/yacc.bison 10

%preun
%_remove_install_info %{name}.info
if [ $1 -eq 0 ]; then
  %{_sbindir}/update-alternatives --remove yacc %{_bindir}/yacc.bison
fi

%triggerpostun -- byacc <= 1.9-16mdk
%{_sbindir}/update-alternatives --install %{_bindir}/yacc yacc %{_bindir}/yacc.bison 10

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING NEWS README
%{_bindir}/*
%dir %{_datadir}/bison
%{_datadir}/bison/*
%{_datadir}/aclocal/*
%{_infodir}/bison.info*
%exclude %{_mandir}/man1/*

%files -n bison-static-devel
%defattr(-,root,root)
%{_libdir}/liby.a


%changelog
* Wed Jan 28 2015 bb <bb> 3.0.4-1pclos2015
- update

* Thu Jan 22 2015 bb <bb> 3.0.3-1pclos2015
- update

* Fri Apr 24 2014 bb <bb> 3.0.2-2pclos2014
- rebuild

